#include <iostream>
#include<string>
#include<vector>
int main()
{int t;
std::cin>>t;
std::string n;

for(int i = 0; i <t;i++){
    std::cin>>n;
    int brojac_n = std::stoi(n);
    std::vector<int> skup;
    skup.push_back(0);
    for(int j = 0; j <= brojac_n; j++){
        std::string j_string = std::to_string(j);
        int cifre = j_string.size();
        int proizvod = 1;

        for(int l = 0; l < cifre;l++){
            char trenutni = j_string[l];
            int broj_karakter = trenutni - '0';
            proizvod = proizvod * broj_karakter;
        }
        bool dali = true;
        for(int kraj = 0; kraj < skup.size();kraj++){
            if(proizvod == skup[kraj]){
                dali = false;
            }
            else{
                continue;
            }
        }

    if(dali == true){
        skup.push_back(proizvod);}
    }
    if(skup.size() == 2){
        std::cout<<skup.size() - 1<<std::endl;
    }
    else{
    std::cout<< skup.size() << std::endl;}
}

    return 0;
}